Package: org.apache.groovy.ginq.provider.collection

## [Groovy] Class GinqAstWalker

- org.apache.groovy.ginq.provider.collection.GinqAstWalker

- All Implemented Interfaces and Traits:
    GinqAstVisitor<Expression>, SyntaxErrorReportable

      @CompileStatic
      class GinqAstWalker
      extends Object
      implements GinqAstVisitor<Expression>, SyntaxErrorReportable

  Visit AST of GINQ to generate target method calls for GINQ.

  Since:
    4.0.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map<String, String>` | `configuration`
    `SourceUnit` | `sourceUnit`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GinqAstWalker(SourceUnit sourceUnit)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Map<String, String>` | `getConfiguration()`
    `` | `void` | `setConfiguration(Map<String, String> configuration)`
    `` | `Expression` | `visit(AbstractGinqExpression expression)`
    `` | `MethodCallExpression` | `visitFromExpression(FromExpression fromExpression)`
    `` | `MethodCallExpression` | `visitGinqExpression(GinqExpression ginqExpression)`
    `` | `MethodCallExpression` | `visitGroupExpression(GroupExpression groupExpression)`
    `` | `Expression` | `visitHavingExpression(HavingExpression havingExpression)`
    `` | `MethodCallExpression` | `visitJoinExpression(JoinExpression joinExpression)`
    `` | `MethodCallExpression` | `visitLimitExpression(LimitExpression limitExpression)`
    `` | `MethodCallExpression` | `visitOnExpression(OnExpression onExpression)`
    `` | `MethodCallExpression` | `visitOrderExpression(OrderExpression orderExpression)`
    `` | `MethodCallExpression` | `visitSelectExpression(SelectExpression selectExpression)`
    `` | `Expression` | `visitShutdownExpression(ShutdownExpression shutdownExpression)`
    `` | `MethodCallExpression` | `visitWhereExpression(WhereExpression whereExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### Map<String, String> configuration

    - #### final SourceUnit sourceUnit

  - ### Constructor Detail

    - #### GinqAstWalker(SourceUnit sourceUnit)

  - ### Method Detail

    - #### @Override
      Map<String, String> getConfiguration()

    - #### @Override
      void setConfiguration(Map<String, String> configuration)

    - #### @Override
      Expression visit(AbstractGinqExpression expression)

    - #### @Override
      MethodCallExpression visitFromExpression(FromExpression fromExpression)

    - #### @Override
      MethodCallExpression visitGinqExpression(GinqExpression ginqExpression)

    - #### @Override
      MethodCallExpression visitGroupExpression(GroupExpression groupExpression)

    - #### @Override
      Expression visitHavingExpression(HavingExpression havingExpression)

    - #### @Override
      MethodCallExpression visitJoinExpression(JoinExpression joinExpression)

    - #### @Override
      MethodCallExpression visitLimitExpression(LimitExpression limitExpression)

    - #### @Override
      MethodCallExpression visitOnExpression(OnExpression onExpression)

    - #### @Override
      MethodCallExpression visitOrderExpression(OrderExpression orderExpression)

    - #### @Override
      MethodCallExpression visitSelectExpression(SelectExpression selectExpression)

    - #### @Override
      Expression visitShutdownExpression(ShutdownExpression shutdownExpression)

    - #### @Override
      MethodCallExpression visitWhereExpression(WhereExpression whereExpression)